#!/bin/sh
# postinst script for cc65
#
# see: dh_installdeb(1)

set -e

# summary of how this script can be called:
#        * <postinst> `configure' <most-recently-configured-version>
#        * <old-postinst> `abort-upgrade' <new version>
#        * <conflictor's-postinst> `abort-remove' `in-favour' <package>
#          <new-version>
#        * <postinst> `abort-remove'
#        * <deconfigured's-postinst> `abort-deconfigure' `in-favour'
#          <failed-install-package> <version> `removing'
#          <conflicting-package> <version>
# for details, see http://www.debian.org/doc/debian-policy/ or
# the debian-policy package


case "$1" in
    configure)
	ln -s /usr/bin/ar65 /opt/cc65/ar65
	ln -s /usr/bin/ca65 /opt/cc65/ca65
	ln -s /usr/bin/cc65 /opt/cc65/cc65
	ln -s /usr/bin/cl65 /opt/cc65/cl65
	ln -s /usr/bin/co65 /opt/cc65/co65
	ln -s /usr/bin/da65 /opt/cc65/da65
	ln -s /usr/bin/grc65 /opt/cc65/grc65
	ln -s /usr/bin/ld65 /opt/cc65/ld65
	ln -s /usr/bin/od65 /opt/cc65/od65
	ln -s /usr/bin/sim65 /opt/cc65/sim65
	ln -s /usr/bin/sp65 /opt/cc65/sp65
	echo export CC65_HOME=/opt/cc65 >> /etc/bash.bashrc
    ;;

    abort-upgrade|abort-remove|abort-deconfigure)
    ;;

    *)
        echo "postinst called with unknown argument \`$1'" >&2
        exit 1
    ;;
esac

# dh_installdeb will replace this with shell code automatically
# generated by other debhelper scripts.

#DEBHELPER#

exit 0


